%
%   plot the accelerometer data and then the spectra
%
clear
clf 
%
%  longboard fiberglass, Becker, 9'0"
%
load long_glass.dat
t=long_glass(:,1);
ax=long_glass(:,2);
ay=long_glass(:,3);
az=long_glass(:,4);
%
% plot the time series
%
figure(1)
subplot(3,1,1),plot(t,ax),ylabel('ax');title('long glass')
subplot(3,1,2),plot(t,ay),ylabel('ay')
subplot(3,1,3),plot(t,az),ylabel('az'),xlabel('time(s)')
%pause
%
%  compute the power spectrum using the Welch modified periodgram method
%
figure(2)
Fs=512;
[Px,freq] = pwelch(ax,[],[],[],Fs);
[Py,freq] = pwelch(ay,[],[],[],Fs);
[Pz,freq] = pwelch(az,[],[],[],Fs);
subplot(3,1,1),plot(freq,Px),ylabel('Px');title('long glass');grid;axis([0,600,0,.06])
subplot(3,1,2),plot(freq,Py),ylabel('Py');grid;axis([0,600,0,.006])
subplot(3,1,3),plot(freq,Pz),ylabel('Pz'),xlabel('frequency (Hz)');grid;axis([0,600,0,.8])
